nlohmann::detail::input_stream_adapter Class Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::input_stream_adapter:

## Public Types

using | char_type = char

## Public Member Functions

| ~input_stream_adapter ()
| input_stream_adapter (std::istream &i)
| input_stream_adapter (const input_stream_adapter &)=delete
input_stream_adapter & | operator= (input_stream_adapter &)=delete
input_stream_adapter & | operator= (input_stream_adapter &&)=delete
| input_stream_adapter (input_stream_adapter &&rhs) noexcept
std::char_traits< char >::int_type | get_character ()

## Private Attributes

std::istream * | is = nullptr
| the associated input stream More...
std::streambuf * | sb = nullptr

## Detailed Description

Input adapter for a (caching) istream. Ignores a UFT Byte Order Mark at beginning of input. Does not support changing the underlying std::streambuf in mid-input. Maintains underlying std::istream and std::streambuf to support subsequent use of standard std::istream operations to process any input characters following those used in parsing the JSON input. Clears the std::istream flags; any input errors (e.g., EOF) will be detected by the first subsequent call for input from the std::istream.

Definition at line 5297 of file json.hpp.

## Member Typedef Documentation

## char_type

using nlohmann::detail::input_stream_adapter::char_type = char

Definition at line 5300 of file json.hpp.

## Constructor & Destructor Documentation

## ~input_stream_adapter()

nlohmann::detail::input_stream_adapter::~input_stream_adapter | ( |  | ) |

inline

Definition at line 5302 of file json.hpp.

## input_stream_adapter() [1/3]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | std::istream & | i | ) |

inline explicit

Definition at line 5312 of file json.hpp.

## input_stream_adapter() [2/3]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | const input_stream_adapter & |  | ) |

delete

## input_stream_adapter() [3/3]

nlohmann::detail::input_stream_adapter::input_stream_adapter | ( | input_stream_adapter && | rhs | ) |

inline noexcept

Definition at line 5321 of file json.hpp.

## Member Function Documentation

## get_character()

std::char_traits<char>::int_type nlohmann::detail::input_stream_adapter::get_character | ( |  | ) |

inline

Definition at line 5331 of file json.hpp.

References JSON_HEDLEY_UNLIKELY.

## operator=() [1/2]

input_stream_adapter& nlohmann::detail::input_stream_adapter::operator= | ( | input_stream_adapter & |  | ) |

delete

## operator=() [2/2]

input_stream_adapter& nlohmann::detail::input_stream_adapter::operator= | ( | input_stream_adapter && |  | ) |

delete

## Member Data Documentation

## is

std::istream* nlohmann::detail::input_stream_adapter::is = nullptr

private

the associated input stream

Definition at line 5344 of file json.hpp.

## sb

std::streambuf* nlohmann::detail::input_stream_adapter::sb = nullptr

private

Definition at line 5345 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp